Informacje

Uwierzytelnianie wymagane
Format odpowiedzi json
Metoda HTTP POST

POST customer_field_group_items

Ostatnia modyfikacja 2026-05-18 13:56:05

Dodanie rekordu pól specjalnych dla klienta.

URL

https://your-system-name.thulium.com/api/customer_field_group_items

Parametry

group_id

wymagany

Identyfikator grupy pól zwrócony przez zasób grupy pól specjalnych
customer_id

wymagany

Identyfikator klienta zwrócony przez zasób klienci
values

wymagany

Lista wartości dla pól w grupie. Identyfikatory pól można uzyskać poprzez zasób customer_field_groups Przykładowa wartość: { "field_id": 12, "value": "phone" }

Przykładowy request

POST https://your-system-name.thulium.com/api/customer_field_group_items
Dane { "group_id": 2, "customer_id": 1, "values": [ { "field_id": 12, "value": "phone" }, { "field_id": 8, "value": 13 }, { "field_id": 10, "value": "comment" } ] }

Przykładowy response

{"item_id": 38}

Przykładowe wywołanie


PHP
<?php
$data = '{
    "group_id": 2,
    "customer_id": 1,
    "values": [
        {
            "field_id": 12,
            "value": "phone"
        },
        {
            "field_id": 8,
            "value": 13
        },
        {
            "field_id": 10,
            "value": "comment"
        }
    ]
}';

$request = curl_init('https://your-system-name.thulium.com/api/customer_field_group_items');
curl_setopt($request, CURLOPT_HTTPHEADER, array(
    'Content-Type: application/json; charset=utf-8',
    'Content-Length: ' . mb_strlen($data)
));
curl_setopt($request, CURLOPT_USERPWD, 'api_user:api_pass');
curl_setopt($request, CURLOPT_TIMEOUT, 30);
curl_setopt($request, CURLOPT_RETURNTRANSFER, true);
curl_setopt($request, CURLOPT_CUSTOMREQUEST, 'POST');
curl_setopt($request, CURLOPT_POSTFIELDS, $data);

$response = curl_exec($request);
if ($response) {
    $httpCode = curl_getinfo($request, CURLINFO_HTTP_CODE);
    if ($httpCode == 200){
        print_r(json_decode($response));
    } else {
        echo $response;
    }
} else {
    trigger_error(curl_error($request), E_USER_WARNING);
}

curl_close($request);
JAVA
public class Example {
    public static void main(String[] args) throws Exception {
        ThuliumRestClient restClient = new ThuliumRestClient("api_user", "api_pass", true);

        ThuliumRestClient.ThuliumRestResponse response = restClient.post("https://your-system-name.thulium.com/api/customer_field_group_items", "{
    \"group_id\": 2,
    \"customer_id\": 1,
    \"values\": [
        {
            \"field_id\": 12,
            \"value\": \"phone\"
        },
        {
            \"field_id\": 8,
            \"value\": 13
        },
        {
            \"field_id\": 10,
            \"value\": \"comment\"
        }
    ]
}");
        System.out.println(response);
    }
}

CURL
curl -u api_user:api_pass -k -X POST -H "Content-type: application/json" -d '{
    "group_id": 2,
    "customer_id": 1,
    "values": [
        {
            "field_id": 12,
            "value": "phone"
        },
        {
            "field_id": 8,
            "value": 13
        },
        {
            "field_id": 10,
            "value": "comment"
        }
    ]
}' "https://your-system-name.thulium.com/api/customer_field_group_items"

HTTPie
echo '{
    "group_id": 2,
    "customer_id": 1,
    "values": [
        {
            "field_id": 12,
            "value": "phone"
        },
        {
            "field_id": 8,
            "value": 13
        },
        {
            "field_id": 10,
            "value": "comment"
        }
    ]
}' | http -a api_user:api_pass POST https://your-system-name.thulium.com/api/customer_field_group_items